<ul class="user-list">
    <li class="user-icon" *ngFor="let friend of users" mrTooltip [content]="friend.username" [bottom]="true">

        <ng-container *ngIf="selectable then checklist else readonly"></ng-container>

        <ng-template #checklist>

            <mr-image [avatar]="friend.username"></mr-image>

            <span
            class="check-box"
            [class.checked]="friend.checked"
            (click)="handleCheck(friend)">
            </span>

        </ng-template>

        <ng-template #readonly>
            <a [routerLink]="friend.username | profileUrl" [title]="friend">
                <mr-image [avatar]="friend.username"></mr-image>
            </a>
        </ng-template>

    </li>
</ul>
